Package org.jboss.resteasy.jose.jwe.crypto

## Class JWECryptoParts

- java.lang.Object
- - org.jboss.resteasy.jose.jwe.crypto.JWECryptoParts

-     public final class JWECryptoParts
      extends Object

  The cryptographic parts of a JSON Web Encryption (JWE) object. This class is an immutable simple wrapper for returning the cipher text, initialisation vector (IV), encrypted key and authentication tag implementations.
  Version:
    $version$ (2012-05-05)
  Author:
    Vladimir Dzhuvinov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWECryptoParts​(String encryptedKey, String iv, String cipherText, String authenticationTag)` | Creates a new cryptograhic JWE parts instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAuthenticationTag()` | Gets the authentication tag.
    `String` | `getCipherText()` | Gets the cipher text.
    `String` | `getEncryptedKey()` | Gets the encrypted key.
    `String` | `getInitializationVector()` | Gets the initialisation vector (IV).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWECryptoParts

          public JWECryptoParts​(String encryptedKey,
                                String iv,
                                String cipherText,
                                String authenticationTag)

      Creates a new cryptograhic JWE parts instance.
      Parameters:
        `encryptedKey` - The encrypted key, `null` if not required by the encryption algorithm.
        `iv` - The initialisation vector (IV), `null` if not required by the encryption algorithm.
        `cipherText` - The cipher text. Must not be `null`.
        `authenticationTag` - The authentication tag, `null` if the JWE algorithm provides built-in integrity check.

  - ### Method Detail

    - #### getEncryptedKey

          public String getEncryptedKey()

      Gets the encrypted key.
      Returns:
        The encrypted key, `null` if not required by the JWE algorithm.

    - #### getInitializationVector

          public String getInitializationVector()

      Gets the initialisation vector (IV).
      Returns:
        The initialisation vector (IV), `null` if not required by the JWE algorithm.

    - #### getCipherText

          public String getCipherText()

      Gets the cipher text.
      Returns:
        The cipher text.

    - #### getAuthenticationTag

          public String getAuthenticationTag()

      Gets the authentication tag.
      Returns:
        The authentication tag, `null` if the encryption algorithm provides built-in integrity checking.